--- title: "AdvancedCertificateRequest" slug: "security-certificatemanager-advancedcertificaterequest" updated: 2026-10-08T04:18:32Z published: 2026-10-08T04:18:32Z canonical: "api.ncloud-docs.com/security-certificatemanager-advancedcertificaterequest" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # AdvancedCertificateRequest Available in Classic and VPC Request Advanced DV and Advanced OV certificates. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/certificate/requestPaidCertificateIssuance | ### Request headers The following describes the headers. For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `csr` | String | Required | Certificate Signing Request (CSR) | | `certificateType` | String | Required | Certificate type - `NCP_PAID_DV_01` \| `NCP_PAID_OV_01` - `NCP_PAID_DV_01`: Advanced DV certificate - `NCP_PAID_OV_01`: Advanced OV certificate | | `certificateName` | String | Required | Certificate name | | `commonName` | String | Required | Domain to be included in the certificate CN (Common Name) | | `dnsName` | Array | Optional | List of domains to be included in the certificate SAN (Subject Alternative Name) | | `validationMethod` | String | Required | Certificate domain ownership (DCV) validation method - `D`: Validation method using a one-time random DNS TXT record. - `PD`: Method where, after setting up the DNS TXT record once, it remains valid for future validations without requiring any additional configuration. | | `organizationNo` | Integer | Optional | Organization number - Required if `certificateType` is `NCP_PAID_OV_01` | | `keyAlgorithm` | String | Optional | Key algorithm | | `subscriptionPeriod` | Integer | Optional | Subscription period | | `requestToken` | String | Optional | Request token | ### Request example The request example is as follows: ``` curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestPaidCertificateIssuance' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' \ --data '{ "csr":"-----BEGIN CERTIFICATE REQUEST-----CCAUICAQAwFT...HzV1ht+BbMeZlD\n-----END CERTIFICATE REQUEST-----\n", "certificateType":"NCP_PAID_OV_01", "certificateName": "ncloudcertificate", "commonName": "*.ncloud.com", "dnsName": ["ncloud.com", "ncloud-docs.com"], "validationMethod":"D", "organizationNo": 34 }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Total number of lists searched | | `paidCertificate` | Object | - | Certificate request result | | `paidCertificate.certificateNo` | Integer | - | Certificate number | | `paidCertificate.requestSn` | String | - | Unique request identifier | | `paidCertificate.statusCode` | Integer | - | Certificate status code | | `paidCertificate.statusName` | String | - | Certificate status | | `paidCertificate.regDate` | Date | - | Certificate registration date and time | | `paidCertificate.validationMethod` | String | - | Domain ownership (DCV) validation method | | `paidCertificate.organizationNo` | Integer | - | Organization number | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 0, "paidCertificate": { "certificateNo": 55985, "requestSn": "99ebaab2c04b43769a2e97e4ebbadf20", "certificateName": "ncloudcertificate", "statusCode": "0", "statusName": "Ongoing", "regDate": "2026-01-12 13:07:43", "validationMethod": "D", "organizationNo": 34 } } ```